Subject: Re: linux-next: build warning after merge of the sound-asoc tree

From: Andy Shevchenko <[email-masked]>
Date: Mon, 24 Jul 2023 11:26:58 +0300

On Mon, Jul 24, 2023 at 01:58:58PM +1000, Stephen Rothwell wrote:
> On Fri, 14 Jul 2023 12:18:55 +0300 Andy Shevchenko <[email-masked]> wrote:
> > On Thu, Jul 13, 2023 at 03:41:09PM +0300, Andy Shevchenko wrote:
> > > On Thu, Jul 13, 2023 at 03:19:04PM +0300, Andy Shevchenko wrote:  
> > > > On Thu, Jul 13, 2023 at 12:16:27PM +1000, Stephen Rothwell wrote:  
> > > > > 
> > > > > After merging the sound-asoc tree, today's linux-next build (htmldocs)
> > > > > produced this warning:
> > > > > 
> > > > > include/linux/int_log.h:1: warning: no structured comments found
> > > > > 
> > > > > Introduced by commit
> > > > > 
> > > > >   f97fa3dcb2db ("lib/math: Move dvb_math.c into lib/math/int_log.c")  
> > > > 
> > > > Can you elaborate a bit, please?
> > > > 
> > > > Seems to me to be a false positive, or unveils a bug somewhere else.  
> > > 
> > > Ah, now I understand. There is a header file that has descriptions but
> > > EXPORT_SYMBOL. We have to drop keyword export from the index.
> > > 
> > > Thank you for the report, I'll cook the patch ASAP.  
> > 
> > The [email-masked] had been sent.
> 
> But not yet applied by anyone :-(

Since the culprit went via ASoC tree, I think that tree is the best for the fix.
Mark, can you apply that, please?

-- 
With Best Regards,
Andy Shevchenko